# Skalární součin a jeho vlastnosti, norma indukovaná skalárním součinem
## skalární součin a jeho vlastnosti
Nechť $U$ je lineární vektorový prostor nad $\mathbb{R}$. Zobrazení $(\vec{x}, \vec{y}):U \times U \to \mathbb{R}$ splňující vlastnosti
1. $(\vec{x}, \vec{x}) \geq 0$ pro každé $\vec{x} \in U; (\vec{x}, \vec{x}) = 0$, právě když $\vec{x} = \vec{o}$,
2. $(\vec{x}, \vec{y}) = (\vec{y}, \vec{x}) \space \forall \vec{x}, \vec{y} \in U$,
3. $(k\vec{x}, \vec{y}) = k(\vec{x}, \vec{y}) \space \forall \vec{x}, \vec{y} \in U$ a $\forall k \in \mathbb{R}$
4. $(\vec{x} + \vec{y}, \vec{z}) = (\vec{x}, \vec{z}) + (\vec{y}, \vec{z}) \space \forall \vec{x}, \vec{y}, \vec{z} \in U$,

se nazývá **skalární součin**.

Skalární součin se vypočítá součinem prvků na stejných pozicí ve vektoru a jejich sečtením.
- např. v $\mathbb{R}^3 : (\vec{x}, \vec{y}) = x_{1}y_{1} + x_{2}y_{2} + x_{3}y_{3}$

Lineární vektorový prostor se skalárním součinem se nazývá **Eukleidovský prostor**.

Příklad:
1. $\mathbb{R}^3 : (\vec{x}, \vec{y}) = x_{1}y_{1} + x_{2}y_{2} + x_{3}y_{3}$
2. $\displaystyle \mathbb{R}^n : (\vec{x}, \vec{y}) = x_{1}y_{1} + x_{1}y_{1} + \dots + x_{n}y_{n} = \sum^n_{i=1} x_{i}y_{i}$
3. $\displaystyle C(0, 1) : (f, g) = \int^1_{0} f(x) \cdot g(x) \, dx$
4. $\displaystyle \mathbb{P}_{n} : (p(x); q(x)) = \int^b_{a} p(x) \cdot q(x) \, dx$

V Eukleidovském prostoru platí (pro každé $k \in \mathbb{R}$ a $\vec{x}, \vec{y}, \vec{z} \in U$):
1. $(\vec{x}, k\vec{y}) = k(\vec{x}, \vec{y})$
2. $(\vec{x}, \vec{y} + \vec{z}) = (\vec{x}, \vec{y}) + (\vec{x}, \vec{z})$
3. $(\vec{x}, \vec{o}) = (\vec{o}, \vec{x}) = 0$

**Cauchy-Schwarzova nerovnost** - Je-li $U$ Eukleidovský prostor, potom pro každé $\vec{x}, \vec{y} \in U$ platí
- $(\vec{x}, \vec{y})^2 \leq (\vec{x}, \vec{x}) \cdot (\vec{y}, \vec{y})$.

## norma indukovaná skalárním součinem
**Norma** v lineárním vektorovém prostoru $U$ je zobrazení $\Vert \vec{x} \Vert : U \to \mathbb{R}$ s vlastostmi
1. $\Vert \vec{x} \Vert \geq 0 \, \forall \vec{x} \in U;\space \Vert \vec{x} \Vert = 0$, právě když $\vec{x} = \vec{o}$,
2. $\Vert k\vec{x} \Vert = \vert k \vert \cdot \Vert \vec{x} \Vert \ \forall\vec{x} \in U$ a $\forall k \in \mathbb{R}$,
3. $\Vert \vec{x} + \vec{y} \Vert \leq \Vert \vec{x} \Vert + \Vert \vec{y} \Vert \ \forall \vec{x}, \vec{y} \in \mathbb{R}$.

Je-li $U$ Eukleidovský prostor, potom $\Vert \vec{x} \Vert = \sqrt{ (\vec{x}, \vec{x}) }$ je norma. Nazývá se **norma indukovaná sklárním součinem**.

Pro dva prvky $x, y$ libovolného L.V.P. $U$ lze definovat úhel dvou prvků

$$
\displaystyle \phi = \arccos \frac{(\vec{x}, \vec{y})}{\Vert \vec{x} \Vert \cdot \Vert \vec{y} \Vert}
$$

a vzdálenost dvou prvků $d(\vec{x}, \vec{y}) = \Vert \vec{x} - \vec{y} \Vert$. Vzdálenosti se obvykle říká **metrika** a příslušnému prostoru **metrický prostor**.